package request

import (
	"git.sunqdl.cn/fgqj/topsdk/defaultability/domain"
	"git.sunqdl.cn/fgqj/topsdk/util"
)

type TaobaoUnideskRtaReportHourlyGetRequest struct {
	ReportTopQueryDto *domain.ReportTopHourlyQueryDTO `json:"report_top_query_dto" required:"true" `
}

func (s *TaobaoUnideskRtaReportHourlyGetRequest) SetReportTopQueryDto(v domain.ReportTopHourlyQueryDTO) *TaobaoUnideskRtaReportHourlyGetRequest {
	s.ReportTopQueryDto = &v
	return s
}

func (req *TaobaoUnideskRtaReportHourlyGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ReportTopQueryDto != nil {
		paramMap["report_top_query_dto"] = util.ConvertStructList(*req.ReportTopQueryDto)
	}
	return paramMap
}

func (req *TaobaoUnideskRtaReportHourlyGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
